#include <SPI.h>
#include <MFRC522.h>
#include <Servo.h>

const int RST_PIN = 9;
const int SS_PIN = 10;

MFRC522 mfrc522(SS_PIN, RST_PIN);   // MFRC522 instance

byte CardUidByte[4] = {0xD4, 0xC7, 0x53, 0xD3}; //card UID 
boolean state = false; //Servo Motor Status value

Servo myservo;
const int servoPin = 5;
const int buzzerPin = 6;

void setup() {
  Serial.begin(9600);  
  SPI.begin();         //SPI initialize
  mfrc522.PCD_Init();  //MFRC522 card reset , initialize
  Serial.println("Place your TAG near Reader....");

  myservo.attach(servoPin);
  myservo.write(0);
  delay(50);
}

void loop() {
  // Confirm new card
  if ( ! mfrc522.PICC_IsNewCardPresent()) return; 

  //Card reading
  if ( ! mfrc522.PICC_ReadCardSerial()) return;

  
  //Confirmation that the Card UID read and the registered Card UID match
  if (mfrc522.uid.uidByte[0] == CardUidByte[0] && mfrc522.uid.uidByte[1] == CardUidByte[1] &&
        mfrc522.uid.uidByte[2] == CardUidByte[2] && mfrc522.uid.uidByte[3] == CardUidByte[3] )
        {
   
         state=!state;    
                 
         while (state == true){
           Serial.println("ID Match...Open");
           tone(buzzerPin ,500,250);  //tone(pin, frequency, duration)
           myservo.write(90);
           delay(3000);
           myservo.write(0);
           state=!state;
         }
        }
         
          else{
           
           Serial.println("Wrong ID ..Entry Denied...!!");
           myservo.write(0);
           tone(buzzerPin ,523,250);    
           delay(250);
           noTone(buzzerPin);
           delay(1000);
         }
          
         delay(1000);
   }  
