
#include <SPI.h>
#include <MFRC522.h>
#include <Servo.h>

#define SS_PIN 10
#define RST_PIN 9

MFRC522 mfrc522(SS_PIN, RST_PIN);
Servo myservo;

String myID = "D4C753D3";
int buzzer_pin = 6;
boolean state = false;
int servoPin = 5;

void setup()
{

  Serial.begin(9600);
  SPI.begin();
  mfrc522.PCD_Init();
  Serial.println("Put your card or tag at RFID Reader...");
  Serial.println();
  pinMode(buzzer_pin, OUTPUT);
  myservo.attach(servoPin);
  myservo.write(0);

}
void loop()
{
  if ( ! mfrc522.PICC_IsNewCardPresent())
  {
    return;
  }
  if ( ! mfrc522.PICC_ReadCardSerial())
  {
    return;
  }
  Serial.print("ID tag :");
  String newID = "";
  byte letter;

  for (byte i = 0; i < mfrc522.uid.size; i++)
  {
    Serial.print(mfrc522.uid.uidByte[i], HEX);
    newID.concat(String(mfrc522.uid.uidByte[i], HEX));
  }
  Serial.println();
  newID.toUpperCase();
  
  
  if ((newID == myID))
  {
    state = !state;

    while (state ==true) {
    
    Serial.println("ID matches Servo is 90 degree...door open");
    myservo.write(90);
    tone(buzzer_pin,250,250);
    delay(3000);
    myservo.write(0);
    state = !state;
    }
  }
  else {
  
    Serial.println("Wrong ID..Servo is 0 degree..door closed");
    myservo.write(0);
    tone(buzzer_pin,250,250);
    delay(250);
    noTone(buzzer_pin);
    delay(2000);
  }
}
